Get all Notes
curl --request GET \
--url https://api.affinity.co/v2/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"type": "ai-notetaker",
"content": {
"html": "<p> This is an AI Notetaker note! </p>"
},
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 1,
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-21T00:00:00Z"
},
{
"id": 2,
"type": "ai-notetaker",
"content": {
"html": "<p> This is another AI Notetaker note! </p>"
},
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"mentions": [],
"transcriptId": 2,
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-21T00:00:00Z"
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/notes?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/notes?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}Notes
Get all Notes
Returns all notes, with the exception of replies.
You can filter notes using the filter query parameter. The filter parameter is a string that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int32 | = | id=1|id=2|id=3 |
creator.id | int32 | = | creator.id=1 |
createdAt | datetime | >, <, >=, <= | createdAt<2025-02-04T10:48:24Z |
updatedAt | datetime | >, <, >=, <= | updatedAt>=2025-02-03T10:48:24Z |
GET
/
v2
/
notes
Get all Notes
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Include total count of the collection in the pagination response
Cursor for the next or previous page
Number of items to include in the page
Required range:
0 <= x <= 100Filter options
Additional properties to include in the response
Available options:
companiesPreview, personsPreview, opportunitiesPreview, repliesCount Response
OK
NotesPaged model
data
(notes.EntitiesNote · object | notes.InteractionNote · object | notes.AiNotetakerRootNote · object | notes.UserReplyNote · object | notes.AiNotetakerReplyNote · object)[]
required
A page of Note objects
Maximum array length:
100A Note object attached to an entity (Person, Company, Opportunity)
- notes.EntitiesNote
- notes.InteractionNote
- notes.AiNotetakerRootNote
- notes.UserReplyNote
- notes.AiNotetakerReplyNote
Show child attributes
Show child attributes
Example:
{
"id": 1,
"type": "entities",
"content": { "html": "<p>This is a note!</p>" },
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"mentions": [],
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-21T00:00:00Z"
}
Show child attributes
Show child attributes
Was this page helpful?